## org.exist.xmldb.test.concurrent.action
Class ReplaceResourceAction

    java.lang.Object
      org.exist.xmldb.test.concurrent.action.Action
          org.exist.xmldb.test.concurrent.action.ReplaceResourceAction

public class ReplaceResourceAction
extends Action

Replace an existing resource.

Author:
  wolf

Field Summary
`static java.lang.String` `XML`

Constructor Summary
`ReplaceResourceAction(java.lang.String collectionPath, java.lang.String resourceName)`

Method Summary
`boolean` `execute()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML

    public static final java.lang.String XML

See Also:
  Constant Field Values

Constructor Detail

### ReplaceResourceAction

    public ReplaceResourceAction(java.lang.String collectionPath,
                                 java.lang.String resourceName)

Parameters:
  `collectionPath` -
  `resourceName` -

Method Detail

### execute

    public boolean execute()
                    throws java.lang.Exception

  Specified by:
    `execute` in class `Action`
  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.